Package org.apache.commons.io.build

# Class AbstractOrigin.RandomAccessFileOrigin

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<T,B>
org.apache.commons.io.build.AbstractOrigin<T,B>
org.apache.commons.io.build.AbstractOrigin.AbstractRandomAccessFileOrigin<RandomAccessFile,AbstractOrigin.RandomAccessFileOrigin>
org.apache.commons.io.build.AbstractOrigin.RandomAccessFileOrigin

All Implemented Interfaces:
  `IOSupplier<RandomAccessFile>`

Enclosing class:
  AbstractOrigin<T,B extends AbstractOrigin<T,B>>

public static class AbstractOrigin.RandomAccessFileOrigin extends AbstractOrigin.AbstractRandomAccessFileOrigin<RandomAccessFile,AbstractOrigin.RandomAccessFileOrigin>
A `RandomAccessFile` origin.

This origin cannot support File and Path since you cannot query a RandomAccessFile for those attributes; Use `AbstractOrigin.IORandomAccessFileOrigin` instead.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.io.build.AbstractOrigin

  `AbstractOrigin.AbstractRandomAccessFileOrigin<T extends RandomAccessFile,B extends AbstractOrigin.AbstractRandomAccessFileOrigin<T,B>>, AbstractOrigin.ByteArrayOrigin, AbstractOrigin.CharSequenceOrigin, AbstractOrigin.FileOrigin, AbstractOrigin.InputStreamOrigin, AbstractOrigin.IORandomAccessFileOrigin, AbstractOrigin.OutputStreamOrigin, AbstractOrigin.PathOrigin, AbstractOrigin.RandomAccessFileOrigin, AbstractOrigin.ReaderOrigin, AbstractOrigin.URIOrigin, AbstractOrigin.WriterOrigin`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RandomAccessFileOrigin(RandomAccessFile origin)`
  A `RandomAccessFile` origin.

- ## Method Summary

  ### Methods inherited from class org.apache.commons.io.build.AbstractOrigin.AbstractRandomAccessFileOrigin

  `getByteArray, getByteArray, getCharSequence, getInputStream, getOutputStream, getRandomAccessFile, getReader, getWriter, size`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOrigin

  `get, getFile, getPath, toString`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### RandomAccessFileOrigin

    public RandomAccessFileOrigin(RandomAccessFile origin)
    A `RandomAccessFile` origin.

    Starting from this origin, you can everything except a Path and a File.

    Parameters:
      `origin` - The origin.